JasPer 4.2.8 |

Loading...
Searching...
No Matches
jas_log.h File Reference

JasPer Logging Functionality. More...

`#include <jasper/jas_config.h>`
`#include <stdio.h>`
`#include <stdarg.h>`

Go to the source code of this file.

## Macros
#define | JAS_LOGTYPE_CLASS_NULL 0
#define | JAS_LOGTYPE_CLASS_ERROR 1
#define | JAS_LOGTYPE_CLASS_WARN 2
#define | JAS_LOGTYPE_CLASS_INFO 3
#define | JAS_LOGTYPE_CLASS_DEBUG 4

## Typedefs
typedef int | jas_vlogmsgf_t(jas_logtype_t, const char *, va_list)
| Type used for formatted message logging function.

## Functions
static jas_logtype_t | jas_logtype_init (int clas, int priority)
| Create an instance of a logtype.
static int | jas_logtype_getclass (jas_logtype_t type)
| Get the class of a logtype.
static int | jas_logtype_getpriority (jas_logtype_t type)
| Get the priority of a logtype.
JAS_EXPORT int | jas_vlogmsgf (jas_logtype_t type, const char *fmt, va_list ap)
| Print formatted log message.
JAS_EXPORT int | jas_vlogmsgf_stderr (jas_logtype_t type, const char *fmt, va_list ap)
| Output a log message to standard error.
JAS_EXPORT int | jas_vlogmsgf_discard (jas_logtype_t type, const char *fmt, va_list ap)
| Output a log message to nowhere (i.e., discard the message).

## Detailed Description

JasPer Logging Functionality.